# Class StatusTextEvent

SWTEventObject
org.eclipse.swt.events.TypedEvent
org.eclipse.swt.browser.StatusTextEvent

public class StatusTextEvent extends TypedEvent
A `StatusTextEvent` is sent by a `Browser` to `StatusTextListener`'s when the status text is changed. The status text is typically displayed in the status bar of a browser application.

Since:
  1.4

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`text`
status text

### Fields inherited from class TypedEvent

`data, display, time, widget`

## Constructor Summary

Constructors
Constructor
Description
`StatusTextEvent(Widget widget)`
Constructs a new instance of this class.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string containing a concise, human-readable description of the receiver.

## Field Details

### text

public String text
status text

## Constructor Details

### StatusTextEvent

public StatusTextEvent(Widget widget)
Constructs a new instance of this class.

Parameters:
  `widget` - the widget that fired the event

## Method Details

### toString

public String toString()
Returns a string containing a concise, human-readable description of the receiver.

Overrides:
  `toString` in class `TypedEvent`
Returns:
  a string representation of the event